<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sd="http://www.w3.org/1999/xhtml"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Student List</title>
</head>
<body>
<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Student</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--                        Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/setting/student/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Student</a>
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">No</th>
                    <th>NIM</th>
                    <th>Nama</th>
                    <th>Gender</th>
                    <th>Program Studi</th>
                    <th colspan="2" class="text-center">Option</th>
                    <!--                    <th style="width: 40px"></th>-->
                </tr>
                <tr th:each="dataMahasiswa,row : ${listMahasiswa.content}">
                    <td th:text="${(row.index + 1) + (listMahasiswa.number * listMahasiswa.size)}">1.</td>
                    <td th:text="${dataMahasiswa.getNim()}">Andrea</td>
                    <td th:text="${dataMahasiswa.getNama()}">Andrea</td>
                    <td th:text="${dataMahasiswa.getJenisKelamin()}">Andrea</td>
                    <td th:text="${dataMahasiswa.getNamaProdi()}">Andrea</td>
                    <td class="text-center">
                        <a class="btn btn-primary btn-xs" type="button" th:href="@{/setting/student/edit(mahasiswa = ${dataMahasiswa.getId()})}">
                            <i class="fa fa-edit"></i>Edit</a>
                    </td>
                    <td class="text-center">
                        <form method="post" th:action="@{/setting/student/hapus(mahasiswa=${dataMahasiswa.getId()})}">
                            <button type="submit" class="btn btn-danger btn-xs"
                                    onclick="return confirm('Are you sure want to delete this?')">
                                <i class="fa fa-trash"></i>Delete
                            </button>
                        </form>
                    </td>
                </tr>
                <tr th:if="${#lists.isEmpty(listMahasiswa.content)}">
                    <td colspan="7" class="text-center"> Data Not Found</td>
                </tr>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>